// importation du package qui contient la classe Random
import java.util.Random;

// document sur l'API java : http://java.sun.com/j2se/1.5.0/docs/api/

// déclaration d'un objet de type Random
Random generator ;

/******************************
 * vidange d'une chaine de caractères
 *
 * entrée : chaine de caractères à vider
 *
 * sortie : aucune puisque modifie seulement l'écran
 *******************************************/
void vider(String str) {
  int pos ;
 
  while (str.length() > 0) {
    println(str);
    
    pos = generator.nextInt(str.length());
    
    str = str.substring(0, pos) + str.substring(pos + 1, str.length());
  }
}
 
 /**************************************************/
 void setup() {
   // initialisation du l'objet
  generator = new Random();
  
  vider("VALROSE");
  
  vider("BAIN");

  vider("OCEAN MAIS UN GROS");
}
